package Phasor;

import javax.swing.*;
import java.awt.*;
public class SineView extends JFrame {
		 boolean firstStep;
		 static Geometry geom;
		 int xcen, yOffset;
		 int sizX, sizY;
		 boolean clean;

		 public SineView(int locx, int locy, int sizx, int sizy, Geometry gm)
		 {
		 		 Container c = getContentPane();
		 		 geom = gm;
		 		 sizX = sizx;
		 		 sizY = sizy;
		 		 
		 		 setLocation(locx,locy);
		 		 setSize(sizx,sizy);
		 		 xcen = sizx/2;
		 		 yOffset = 50;
		 		 show();
		 }
		 public void paint(Graphics g){
		 //		 super.paintComponents(g);
		 //		 drawPhasor(g);
		 		 drawSine(g);
		 }

		 public void setClean(boolean cl)
		 {
		 	clean = cl;
		 }

		 public void drawSine(Graphics g2){

		 		 if ( firstStep ) {
		 		 		 firstStep = false;
		 		 		 return;
		 		 }
		 		 if (clean)
		 		 {
		 		 	clean = false;
		 		 	g2.clearRect(0,0,sizX,sizY);
		 		 	yOffset = 50;
		 		 }
		 		 yOffset += 2;
		 		 g2.setColor(Color.darkGray);
		 		 g2.drawOval( xcen +( geom.getX1() + geom.getX2()), yOffset,  4, 4);
		 		 g2.setColor(Color.blue);
		 		 g2.drawOval( xcen +( geom.getX1()), yOffset,  1, 1);
		 		 g2.setColor(Color.red);
		 		 g2.drawOval( xcen +( geom.getX2()), yOffset,  1, 1);

		 		 if ( yOffset > 450) {
		 		 		 g2.clearRect(0,0,sizX,sizY);
		 		 		 yOffset = 50;
		 		 }
		 }

}

