package Phasor;
import javax.swing.*;
import java.awt.*;
public class PhasorView extends JFrame {
		 boolean firstStep;
		 int xcen, ycen;
		 static Geometry geom;
		 int sizX, sizY;
		 boolean clean;
		 
		 public PhasorView(int locx, int locy, int sizx, int sizy, Geometry gm)
		 {
		 		 Container c = getContentPane();
		 		 geom = gm;
		 		 sizX = sizx;
		 		 sizY = sizy;

		 		 setLocation(locx,locy);
		 		 setSize(sizx,sizy);
		 		 xcen = sizx/2;
		 		 ycen = sizy/2;
		 		 show();
		 }

		 public void paint(Graphics g){
		 //		 super.paintComponents(g);
		 		 drawPhasor(g);
		 //		 drawSine(g);
		 }
		
		 public void setClean(boolean cl)
		 {
		 	clean = cl;
		 }
		 
		 public void drawPhasor(Graphics g1){
		 		 if ( firstStep ) {
		 		 		 firstStep = false;
		 		 		 return;
		 		 }
		 		 if (clean)
		 		 {
		 		 	clean = false;
		 		 	g1.clearRect(0,0,sizX,sizY);
		 		 }
		 		 g1.setColor(Color.black);
		 		 int xtip = xcen + geom.getX1();
		 		 int ytip = ycen + geom.getY1();
		 		 g1.drawLine(xcen, ycen, xtip, ytip );
		 		 g1.setColor(Color.red);
		 		 g1.drawLine( xtip, ytip, xtip + geom.getX2(), ytip + geom.getY2());
		 		 g1.setColor(Color.cyan);
		 		 g1.fillOval(xtip, ytip, 4, 4);
		 		 g1.setColor(Color.black);
		 		 g1.fillOval(xtip + geom.getX2(), ytip + geom.getY2(), 4, 4);
		 }

}

