package RajusTTS;
// Code substantially copied from Glenn's JCapture.java
// My changes are noted with initials --RJ


// SW 511 JCapture Demo;  JCaptures and plays back audio.
// Doug Lyon refactor Sept 30, 2002

import com.lotontech.speech.*;

import audio.*;
import java.awt.*;
import javax.swing.*;
import java.io.*;
import gui.RunButton;
import futils.*;


// to run the program use:
// audio.JCapture as the main class.


public class JCaptureR extends JFrame implements AudioPlayerListener{
    AudioPlayerR al = new AudioPlayerR(); // changed from AudioPlayer--RJ
    JTextField audioFormatField = new JTextField();
    JPanel buttonBar = new JPanel();
    JTextField stateField = new JTextField(10);

//  TTS additions below --RJ

    JPanel TTSBar = new JPanel();
    JPanel TTSBarN = new JPanel();
    JPanel TTSBarS = new JPanel();
    JPanel textBar = new JPanel();
    JPanel toneBar = new JPanel();
    JPanel allophoneBar = new JPanel();
    JPanel alloToneBar = new JPanel();
    JPanel alloToneBarN = new JPanel();
    JPanel alloToneBarS = new JPanel();
    JLabel textL = new JLabel("Text to Convert:");
    JTextField textF = new JTextField(30);
    JLabel toneL = new JLabel("Text File Name:");
    JTextField toneF = new JTextField(30);
    JLabel allophoneL = new JLabel("Coded Allophone:");
    JLabel divider = new JLabel("- - - - - OR - - - - -");
    JTextField allophoneField = new JTextField(30);
    JTextField alloToneField1 = new JTextField(30);
    JTextField alloToneField2 = new JTextField(30);
//  end TTS additions --RJ


    // Constructor:
    public JCaptureR() {
		super("Audio Capture Tool");
		
		al.addAudioPlayerListener(this);

        buttonBar.setLayout(new FlowLayout());


//  TTS additions below --RJ

        textBar.setLayout(new FlowLayout());
        toneBar.setLayout(new FlowLayout());
        allophoneBar.setLayout(new FlowLayout());
        alloToneBarN.setLayout(new FlowLayout());
        alloToneBarS.setLayout(new FlowLayout());
        alloToneBar.setLayout(new BorderLayout());
        TTSBar.setLayout(new BorderLayout());
        TTSBarN.setLayout(new BorderLayout());
        TTSBarS.setLayout(new BorderLayout());
        
        textBar.add(new RunButton("TextToAllophone") {
            public void run() {
				com.lotontech.speech.Converter converter = new com.lotontech.speech.Converter();
				allophoneField.setText(converter.getPhoneWord(textF.getText()));
            }
        });
        textBar.add(textF);

        allophoneBar.add(new RunButton("AllophoneToSpeech") {
            public void run() {
            	try{
	            	//al.makeTTSAudio(0,allophoneField.getText());
	            	al.makeTTSAudio(1,allophoneField.getText());
	            	updateUIStrings();
	            }catch (AudioPlayerException a){
	            	messageBox(a.getMessage());
	            }
            }
        });
        allophoneBar.add(allophoneField);

        TTSBarN.add(textBar, BorderLayout.NORTH);
        TTSBarN.add(allophoneBar, BorderLayout.SOUTH);
		//
        toneBar.add(new RunButton("TextToTone") {
            public void run() {
				//com.lotontech.speech.Converter converter = new com.lotontech.speech.Converter();
				//TextToTone converter = new TextToTone();
				String toneText = toneF.getText();
				TextToToneBySize converter1 = new TextToToneBySize();
				alloToneField1.setText(converter1.getPhoneWord(toneText));
				TextToToneByLetter converter2 = new TextToToneByLetter();
				alloToneField2.setText(converter2.getPhoneWord(toneText));
            }
        });
        toneBar.add(toneF);

        TTSBarS.add(toneBar, BorderLayout.NORTH);
        TTSBarS.add(new RunButton("FileToTone") {
            public void run() {
				//com.lotontech.speech.Converter converter = new com.lotontech.speech.Converter();
				//TextToTone converter = new TextToTone();
				String fileText = getFileText();
				TextToToneBySize converter1 = new TextToToneBySize();
				alloToneField1.setText(converter1.getPhoneWord(fileText));
				TextToToneByLetter converter2 = new TextToToneByLetter();
				alloToneField2.setText(converter2.getPhoneWord(fileText));
				toneF.setText(fileText);
            }
        }, BorderLayout.CENTER);
        alloToneBarN.add(new RunButton("AllophoneToToneBySize") {
            public void run() {
            	try{
	            	//al.makeTTSAudio(0,allophoneField.getText());
	            	//al.makeTTSAudio(1,alloToneField.getText());
	            	al.makeTTSAudio(1,alloToneField1.getText());
	            	updateUIStrings();
	            }catch (AudioPlayerException a){
	            	messageBox(a.getMessage());
	            }
            }
        });
        alloToneBarN.add(alloToneField1);
//
        alloToneBarS.add(new RunButton("AllophoneToToneByLetter") {
            public void run() {
            	try{
	            	//al.makeTTSAudio(0,allophoneField.getText());
	            	//al.makeTTSAudio(1,alloToneField.getText());
	            	al.makeTTSAudio2(1,alloToneField2.getText());
	            	updateUIStrings();
	            }catch (AudioPlayerException a){
	            	messageBox(a.getMessage());
	            }
            }
        });
        alloToneBarS.add(alloToneField2);
        alloToneBar.add(alloToneBarN,BorderLayout.NORTH);
        alloToneBar.add(alloToneBarS,BorderLayout.SOUTH);
        TTSBarS.add(alloToneBar, BorderLayout.SOUTH);

        TTSBar.add(TTSBarN,BorderLayout.NORTH);        
        TTSBar.add(divider, BorderLayout.CENTER);
        TTSBar.add(TTSBarS,BorderLayout.SOUTH);

//  end TTS additions --RJ
/*
        buttonBar.add(new RunButton("Capture") {
            public void run() {
            	try{
	                al.captureAudio();
	                updateUIStrings();
	            }catch (AudioPlayerException a){
	            	messageBox(a.getMessage());
	            }
            }
        });
*/
//        buttonBar.add(new RunButton("Stop") {
//            public void run() {
//                al.stop();
//            }
//        });
        buttonBar.add(new RunButton("Play") {
            public void run() {
            	try{
                	al.playAudio();
	            }catch (AudioPlayerException a){
	            	messageBox(a.getMessage());
	            }
            }
        });
        buttonBar.add(new RunButton("Save") {
            public void run() {
            	try{
	                al.saveAudioFile(Futil.getWriteFileName());
	                updateUIStrings();
	            }catch (AudioPlayerException a){
	            	messageBox(a.getMessage());
	            }
            }
        });
        buttonBar.add(new RunButton("Open") {
            public void run() {
            	try{
	                al.openAudioFile(Futil.getReadFileName());
	                updateUIStrings();
	            }catch (AudioPlayerException a){
	            	messageBox(a.getMessage());
	            }
            }
        });
		buttonBar.add(stateField);
		stateField.setEditable(false);


		audioFormatField.setEditable(false);


        Container contentPane = getContentPane();
		
		contentPane.setLayout(new BorderLayout());
		contentPane.add(buttonBar, BorderLayout.NORTH);
		contentPane.add(TTSBar, BorderLayout.CENTER);
		contentPane.add(audioFormatField, BorderLayout.SOUTH);
         
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); 


    } // End Constructor


	private String getFileText()
	{
		File textFile = Futil.getReadFile();
		String ret = "";
		String record;
		try
		{
			LineNumberReader myLineReader = new LineNumberReader (new FileReader(textFile));
			while ((record = myLineReader.readLine()) != null)
	    	{
	    		ret += record;
	    	}
			return ret;
		}
		catch (Exception e)
		{
			e.printStackTrace();
			return "Could Not Read File. . . . . .";
		}
	}

	public void audioStateChanged(AudioPlayer.State s){
		stateField.setText(s.toString());
	}


	private void messageBox(String s){
		JOptionPane.showMessageDialog(this, s, "Audio Capture Tool", JOptionPane.WARNING_MESSAGE);
	}


	private void updateUIStrings(){
        setTitle("Audio Capture Tool - " + al.getAudioDescription());
        audioFormatField.setText(al.getFormat().toString());
	}


    public static void main(String args[]) {
        JCaptureR c = new JCaptureR(); // --RJ
        c.setSize(600, 400);
        c.show();
    }
}
